Search Engine: Elastic
  • Article for your preferred language does not exist. Below is international version of the article.

Article ID: 117670, created on Oct 2, 2013, last review on Oct 23, 2015

  • Applies to:
  • Operations Automation 5.5
  • APS 2.x

Symptoms

New version of a package cannot be imported, task fails with error:

Internal error: void Plesk::SaaS::ImportPackage(TObjectID) : [APSC]
Incompatibility detected: attempt to delete property `interface_enabled` in
bounds of same type..

or

Internal error: TObjectID Plesk::SaaS::ImportPackage(TObjectID) : [APSC] Type compatibility violation detected: property `contextid` is changed by inadmissible way..

Cause

A property was removed (first example) or changed (second example) from service without bumping up the type version.

Resolution

After major changes in schema it is needed to bump up a version of a resource:

  • when a property is added minor version should be increased,
  • when a property is removed major version should be increased.

Check the APS Type ID page in documentation for details.

70bf700e0cdb9d7211df2595ef7276ab 717db81efe94e616312b74fb03a5d474 5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 5b048d9bddf8048a00aba7e0bdadef37 2554725ed606193dd9bbce21365bed4e

Email subscription for changes to this article
Save as PDF